Subject: Re: bug#4867: 23.1; dired cannot find gunzip with Z; Windows

From: "Xah Lee" <[email-masked]>
Date: Thu, 5 Nov 2009 13:12:30 -0800

> It's better to change the last line to
>
>  gzip -d %*
>
> because then you will be able to give more than one argument to this
> batch file.  E.g., if you want to pass additional switches or unpack
> several files.

Thanks for the tip. I followed your advice on my machine.

> Anyway, why do you have gunzip as a shell script?  I looked at a
> native Windows port and on a GNU/Linux box, and they both have gunzip
> as a first-class binary executable program.

Cygwin and msys both use a shell script for some reason.

 Xah

----- Original Message ----- 
From: "Eli Zaretskii" <[email-masked]>
To: "Xah Lee" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, November 05, 2009 12:38 PM
Subject: Re: bug#4867: 23.1; dired cannot find gunzip with Z; Windows

>> From: "Xah Lee" <[email-masked]>
>> Date: Thu, 5 Nov 2009 12:25:14 -0800
>>
>> Found a solution. Create a file name gunzip.bat, with this content:
>>
>> @echo off
>> gzip -d %1
>
> It's better to change the last line to
>
>  gzip -d %*
>
> because then you will be able to give more than one argument to this
> batch file.  E.g., if you want to pass additional switches or unpack
> several files.
>
>> I think this should still considered a bug though. Considering it as a
>> Windows OS problem isn't very helpful in solving this. I'm sure if 
>> similar
>> problems happen in linux that's OS issue, people probably will not look 
>> at
>> it as “Oh, it's OS issue, emacs doesn't need to deal with it”.
>
> If you try the same with a Windows batch file on GNU/Linux, Emacs will
> barf there as well.  Emacs behave according to the rules of the host
> OS, so you cannot expect it to be able to run alien executables from
> some other OS that the host does not recognize as executables and
> doesn't know how to run.
>
> Anyway, why do you have gunzip as a shell script?  I looked at a
> native Windows port and on a GNU/Linux box, and they both have gunzip
> as a first-class binary executable program.